Last Comment Bug 308864 - packager.mk fails when MOZ_PKG_REMOVALS is unset
: packager.mk fails when MOZ_PKG_REMOVALS is unset
Status: VERIFIED FIXED
: fixed1.8
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- critical (vote)
: mozilla1.8beta5
Assigned To: Mark Mentovai
:
: Gregory Szorc [:gps]
Mentors:
: 308783 (view as bug list)
Depends on:
Blocks: 300136
  Show dependency treegraph
 
Reported: 2005-09-16 13:47 PDT by krmathis@gmail.com
Modified: 2006-03-12 18:55 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
MOZ_PKG_REMOVALS fix (1.15 KB, patch)
2005-09-16 16:06 PDT, Mark Mentovai
darin.moz: review+
mscott: approval1.8b5+
Details | Diff | Splinter Review

Description krmathis@gmail.com 2005-09-16 13:47:01 PDT
User-Agent:       Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.9a1) Gecko/20050916 Camino/1.0+
Build Identifier: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.9a1) Gecko/20050916 Camino/1.0+

The Disk Image packager for Camino errors out before it creates the actual Disk
Image.

This code failed:
checkout finish: Fri Sep 16 17:50:28 CEST 2005

While this one completed successfully:
checkout finish: Thu Sep 15 19:57:54 CEST 2005

--------------------------------------
** BUILD SUCCEEDED **
rsync -a --copy-unsafe-links build/Deployment/Camino.app/ ../dist/Camino.app
/usr/bin/make export
make[1]: Nothing to be done for `export'.
/usr/bin/make libs
Creating package directory...
building file list ... done
Camino.app/
Camino.app/Contents/
--snip--
Camino.app/Contents/Resources/zoomOut.tiff

sent 22591792 bytes  received 9020 bytes  9040324.80 bytes/sec
total size is 22556949  speedup is 1.00
Stripping package directory...
signing nss libraries
Generating DSA Key Pair....../../dist/camino/libsoftokn3.dylib: File not found.
done
Removing unpackaged files...
cd ../../dist/camino/Camino.app/Contents/MacOS; rm -rf 
/Users/krmathis/Camino/mozilla/camino_7450_optimized/config/nsinstall -t 
../../dist/camino/Camino.app/Contents/MacOS
usage: /Users/krmathis/Camino/mozilla/camino_7450_optimized/config/nsinstall [-C
cwd] [-L linkprefix] [-m mode] [-o owner] [-g group]
                                                                            
[-DdltR] file [file ...] directory
make[1]: *** [mozilla-1.9a1.en-US.mac.dmg] Error 2
make: *** [all] Error 2
--------------------------------------


Reproducible: Always

Steps to Reproduce:
1. Build Camino
2. Run 'make' in "camino/installer" or "MOZ_OBJDIR/camino/installer"

Actual Results:  
Packager errors out (dont create the Camino.dmg)

Expected Results:  
Packager successfully creates the Camino.dmg


Some more information:
* Building on Mac OS 10.4.2, using GCC 4.0.0 (build 5026).
* Building in an MOZ_OBJDIR.
Comment 1 Mark Mentovai 2005-09-16 16:06:04 PDT
Created attachment 196376 [details] [diff] [review]
MOZ_PKG_REMOVALS fix

Benjamin, when you fix bug 300136 on the branch, please include this change.
Comment 2 Mark Mentovai 2005-09-16 16:08:44 PDT
No Camino trunk builds will be released until this is fixed.
Comment 3 Smokey Ardisson (offline for a while; not following bugs - do not email) 2005-09-16 16:34:51 PDT
Is this also the cause of the absent branch nightly for today?
Comment 4 Mark Mentovai 2005-09-16 17:11:58 PDT
No, there was no branch nightly because someone conked boxset on the head while
it was building.
Comment 5 Mark Mentovai 2005-09-16 17:45:16 PDT
Comment on attachment 196376 [details] [diff] [review]
MOZ_PKG_REMOVALS fix

Retargeting review request, bsmedberg is on vacation.
Comment 6 Darin Fisher 2005-09-16 18:20:30 PDT
Comment on attachment 196376 [details] [diff] [review]
MOZ_PKG_REMOVALS fix

r=darin
Comment 7 Mark Mentovai 2005-09-16 19:21:39 PDT
Fixed!  (Thanks for the review, Darin.)
Comment 8 Mark Mentovai 2005-09-16 19:31:34 PDT
*** Bug 308783 has been marked as a duplicate of this bug. ***
Comment 9 Scott MacGregor 2005-09-20 15:28:52 PDT
Mark, we are going to need this on the branch as well if we fix 300136 for
Thunderbird too right?
Comment 10 Mark Mentovai 2005-09-20 15:37:11 PDT
Fo' shizzle.
Comment 11 Scott MacGregor 2005-09-23 14:05:16 PDT
Comment on attachment 196376 [details] [diff] [review]
MOZ_PKG_REMOVALS fix

Per Mark. This patch needs to go into the branch before I can land the
Thunderbird fix for Bug #300136 which has already gone in for Firefox.
Comment 12 Scott MacGregor 2005-09-23 14:05:52 PDT
Comment on attachment 196376 [details] [diff] [review]
MOZ_PKG_REMOVALS fix

approving for the branch.
Comment 13 Mark Mentovai 2005-09-23 15:56:21 PDT
mscott, this patch can't be applied until the patch in bug 300136 is applied,
but that patch is broken unless this one is also present.  Conundrum?  Nah! 
Before checking bug 300136 in on the branch, make sure that this patch is also
applied to your tree.
Comment 14 Benjamin Smedberg [:bsmedberg] 2005-09-26 12:40:41 PDT
Fixed on 1.8 branch at the same time as bug 300136 was landed on branch.

Note You need to log in before you can comment on or make changes to this bug.